summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
authorhugetoad <hugetoad@97f52cf1-0a1b-0410-bd0e-c28be96e8082>2005-05-26 09:47:20 +0000
committerhugetoad <hugetoad@97f52cf1-0a1b-0410-bd0e-c28be96e8082>2005-05-26 09:47:20 +0000
commitca4ec16f91a6a7064172cf15420b4f8980292db4 (patch)
treeb2c58801b3cb431041fba9d5737a7f777ec36a00 /misc
parent28d76728bcc1dc2013de2f4de6e7d90bb49c3d79 (diff)
downloadzabbix-ca4ec16f91a6a7064172cf15420b4f8980292db4.tar.gz
zabbix-ca4ec16f91a6a7064172cf15420b4f8980292db4.tar.xz
zabbix-ca4ec16f91a6a7064172cf15420b4f8980292db4.zip
- updated startup scripts for SuSE 9.2 and 9.3. Thanks to Andre. (Alexei)
git-svn-id: svn://svn.zabbix.com/trunk@1786 97f52cf1-0a1b-0410-bd0e-c28be96e8082
Diffstat (limited to 'misc')
-rw-r--r--misc/init.d/suse/9.2/zabbix_agentd2
-rw-r--r--misc/init.d/suse/9.2/zabbix_server2
-rw-r--r--misc/init.d/suse/9.3/zabbix_agentd72
-rw-r--r--misc/init.d/suse/9.3/zabbix_server73
4 files changed, 147 insertions, 2 deletions
diff --git a/misc/init.d/suse/9.2/zabbix_agentd b/misc/init.d/suse/9.2/zabbix_agentd
index 45bb9407..2ea8c83d 100644
--- a/misc/init.d/suse/9.2/zabbix_agentd
+++ b/misc/init.d/suse/9.2/zabbix_agentd
@@ -14,7 +14,7 @@
# Description: Starts Zabbix_Agentd
### END INIT INFO
-.. /etc/rc.status
+. /etc/rc.status
rc_reset
NAME="zabbix_agentd"
CONFIG_FILE="/etc/zabbix/zabbix_agentd.conf"
diff --git a/misc/init.d/suse/9.2/zabbix_server b/misc/init.d/suse/9.2/zabbix_server
index df98b589..2f4e8996 100644
--- a/misc/init.d/suse/9.2/zabbix_server
+++ b/misc/init.d/suse/9.2/zabbix_server
@@ -15,7 +15,7 @@
# Description: Starts zabbix_server
### END INIT INFO
-.. /etc/rc.status
+. /etc/rc.status
rc_reset
NAME="zabbix_server"
CONFIG_FILE="/etc/zabbix/zabbix_server.conf"
diff --git a/misc/init.d/suse/9.3/zabbix_agentd b/misc/init.d/suse/9.3/zabbix_agentd
new file mode 100644
index 00000000..2ea8c83d
--- /dev/null
+++ b/misc/init.d/suse/9.3/zabbix_agentd
@@ -0,0 +1,72 @@
+#! /bin/sh
+# Copyright (c) 07/2004 A.Tophofen, Germany
+# Modified for Zabbix 1.1alpha7 and SuSE Linux 9.2
+# April 2005, A. Kiepe, Switzerland
+#
+# init.d/zabbix_agentd
+#
+### BEGIN INIT INFO
+# Provides: zabbix_agentd
+# Required-Start: $network $remote_fs $syslog
+# Required-Stop:
+# Default-Start: 3
+# Default-Stop:
+# Description: Starts Zabbix_Agentd
+### END INIT INFO
+
+. /etc/rc.status
+rc_reset
+NAME="zabbix_agentd"
+CONFIG_FILE="/etc/zabbix/zabbix_agentd.conf"
+
+if [ ! -f ${CONFIG_FILE} ]; then
+ echo -n "${NAME}configuration file ${CONFIG_FILE} does not exist. "
+ # Tell the user this has skipped
+ rc_status -s
+ exit 6
+fi
+
+ZABBIX_BIN="/opt/zabbix/bin/zabbix_agentd"
+ZABBIX_PID="/var/tmp/zabbix_agentd.pid"
+
+
+if [ ! -x ${ZABBIX_BIN} ] ; then
+ echo -n "${ZABBIX_BIN} not installed! "
+ # Tell the user this has skipped
+ rc_status -s
+ exit 5
+fi
+
+
+export PATH=$PATH:/opt/zabbix/bin
+
+case "$1" in
+ start)
+ echo -n "Starting ${NAME} "
+ checkproc -p ${ZABBIX_PID} ${ZABBIX_BIN}
+ case $? in
+ 0) echo -n "- Warning: ${NAME} already running! " ;;
+ 1) echo -n "- Warning: ${ZABBIX_PID} exists! " ;;
+ esac
+
+ startproc -p ${ZABBIX_PID} -u zabbix ${ZABBIX_BIN}
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down ${NAME}"
+ checkproc -p ${ZABBIX_PID} ${ZABBIX_BIN} || echo -n "- Warning: ${NAME} not running! "
+ killproc -p ${ZABBIX_PID} -TERM ${ZABBIX_BIN}
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
+rc_exit
+
diff --git a/misc/init.d/suse/9.3/zabbix_server b/misc/init.d/suse/9.3/zabbix_server
new file mode 100644
index 00000000..2f4e8996
--- /dev/null
+++ b/misc/init.d/suse/9.3/zabbix_server
@@ -0,0 +1,73 @@
+#! /bin/sh
+# Copyright (c) 07/2004 A.Tophofen, Germany
+# Modified for Zabbix 1.1alpha7 and SuSE Linux 9.2
+# April 2005, A. Kiepe, Switzerland
+#
+# init.d/zabbix_server
+#
+### BEGIN INIT INFO
+# Provides: zabbix_server
+# Required-Start: $network $remote_fs $syslog
+# Should-Start: mysql postgresql
+# Required-Stop:
+# Default-Start: 3
+# Default-Stop:
+# Description: Starts zabbix_server
+### END INIT INFO
+
+. /etc/rc.status
+rc_reset
+NAME="zabbix_server"
+CONFIG_FILE="/etc/zabbix/zabbix_server.conf"
+
+if [ ! -f ${CONFIG_FILE} ]; then
+ echo -n "${NAME}configuration file ${CONFIG_FILE} does not exist. "
+ # Tell the user this has skipped
+ rc_status -s
+ exit 6
+fi
+
+ZABBIX_BIN="/opt/zabbix/bin/zabbix_server"
+ZABBIX_PID="/var/tmp/zabbix_server.pid"
+
+
+if [ ! -x ${ZABBIX_BIN} ] ; then
+ echo -n "${ZABBIX_BIN} not installed! "
+ # Tell the user this has skipped
+ rc_status -s
+ exit 5
+fi
+
+
+export PATH=$PATH:/opt/zabbix/bin
+
+case "$1" in
+ start)
+ echo -n "Starting ${NAME} "
+ checkproc -p ${ZABBIX_PID} ${ZABBIX_BIN}
+ case $? in
+ 0) echo -n "- Warning: ${NAME} already running! " ;;
+ 1) echo -n "- Warning: ${ZABBIX_PID} exists! " ;;
+ esac
+
+ startproc -p ${ZABBIX_PID} -u zabbix ${ZABBIX_BIN}
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down ${NAME}"
+ checkproc -p ${ZABBIX_PID} ${ZABBIX_BIN} || echo -n "- Warning: ${NAME} not running! "
+ killproc -p ${ZABBIX_PID} -TERM ${ZABBIX_BIN}
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
+rc_exit
+